---
sidebar_position: 2
sidebar_label: LEAF-Writer Commons
---
import { faUpRightFromSquare } from "@fortawesome/free-solid-svg-icons";


# LEAF-Writer

LEAF-Writer is an innovative web-based semantic editor that allows you to mark up documents using a combination of [Extensible Markup Language (XML)](https://lincsproject.ca/docs/terms/xml) and [Resource Description Framework (RDF)](https://lincsproject.ca/docs/terms/resource-description-framework). It supports the [Text Encoding Initiative (TEI)](https://lincsproject.ca/docs/terms/text-encoding-initiative) for encoding scholarly content, including customized schemas, and optionally creates [linked open data](https://lincsproject.ca/docs/terms/linked-open-data) [Web Annotations](https://lincsproject.ca/docs/terms/web-annotation) as you tag. LEAF-Writer can be used as the standalone web-based editor [LEAF-Writer Commons](https://leaf-writer.leaf-vre.org/), installed in other stacks, or as a component of the  LEAF virtual research environment.

LEAF-Writer lets you look up and assign identifiers to named [entities](https://lincsproject.ca/docs/terms/entity) (persons, organizations, places, or titles) from a range of authorities. You can embed meaningful tags in texts, so they can be formatted, processed, analysed, visualized, shared, and reused.

LEAF-Writer provides schema-aware document editing, including continuous validation. Unlike other approaches to text encoding, you focus on the document rather than the underlying code (although you can edit in source-view, as well). You see your tags in a sidebar view as well as by toggling their appearance on or off within the text.

By default you can look up and select identifiers for named entity tags (persons, organizations, places, or titles) from the following Linked Open Data [authorities](https://lincsproject.ca/docs/terms/authority-record): [DBPedia](https://lincsproject.ca/docs/terms/dbpedia), [Geonames](https://www.geonames.org/), [Getty](https://www.getty.edu/research/tools/vocabularies/), [LGPN](https://www.lgpn.ox.ac.uk/), [VIAF](https://lincsproject.ca/docs/terms/virtual-international-authority-file), and [Wikidata](https://lincsproject.ca/docs/terms/wikidata) – or you can insert links to other external authorities, or link to your own internal identifiers.

LEAF-Writer Commons allows you to open an XML file from your desktop or from the Cloud via a [GitHub](https://github.com/) repository. This kind of flexibility supports solo editing or collaboration with colleagues working together on a project.

<div className="primary-button-row">
  
  <PrimaryButton
    link="https://www.leaf-vre.org/docs/documentation/leaf-commons/leaf-writer-documentation-basic"
    buttonName="To the Documentation"
    icon={faUpRightFromSquare}></PrimaryButton>
  <PrimaryButton
    link="https://leaf-writer.leaf-vre.org"
    buttonName="To the LEAF-Writer Commons"
    icon={faUpRightFromSquare}></PrimaryButton>  
  <PrimaryButton
    link="https://gitlab.com/calincs/cwrc/leaf-writer/leaf-writer"
    buttonName="To the LEAF-Writer Codebase"
    icon={faUpRightFromSquare}></PrimaryButton>
</div>

<br/>

<div className="primary-button-row">
  
  
 
</div>
